<template>
  <div :class="['w-fit h-6 px-2 rounded-[8px] flex gap-1 items-center border border-borderColor border-opacity-100']">
    <div
      v-for="reaction in reactionList"
      :key="reaction"
    >
      <Icon
        width="16"
        height="16"
        :icon="getReactionIcon(reaction)"
      />
    </div>

    <svn-pro-text
      caption
      color="onSurfaceVariant"
    >
      {{ reactionCount }}
    </svn-pro-text>
  </div>
</template>

<script setup>
import { Icon } from "@iconify/vue";
import SvnProText from "../styles/SvnProText.vue"

const props = defineProps({
  reactionList: {
    type: Array,
    default: () => [],
  },
  reactionCount: {
    type: Number,
    default: undefined,
  },
});

const getReactionIcon = (reaction) => {
  if (reaction === "like") {
    return "noto:thumbs-up"
  } else if (reaction === "recommend") {
    return "noto:star-struck"
  } else if (reaction === "question") {
    return "noto:face-with-raised-eyebrow"
  } else if (reaction === "remark") {
    return "noto:index-pointing-up"
  }
}
</script>